Skip to main content
GET
/
projects
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const project of client.projects.list()) {
  console.log(project.id);
}
[
  {
    "id": "proj_abc123",
    "name": "production",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
offset
integer
default:0

Number of results to skip

Response

List of projects

id
string
required

Unique project identifier

Example:

"proj_abc123"

name
string
required

Project name

Example:

"production"

status
enum<string>
required

Project status

Available options:
active,
archived
Example:

"active"

created_at
string<date-time>
required

When the project was created

updated_at
string<date-time>
required

When the project was last updated